/*
 * Copyright (C) 2009 SHARP Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.co.sharp.android.SampleIrdaIrss;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;

class MessageDialog {
    /**
     * コンストラクタ
     */
    MessageDialog() {

    }

    /**
     * メッセージダイアログの表示を行う。
     * @param context
     * @param id
     */
    public void show(Context context, int id) {
        /* アラートダイアログ作成 */
        AlertDialog.Builder dialog = new AlertDialog.Builder(context);
        /* メッセージ設定 */
        dialog.setMessage(id);
        /* タイトル設定 */
        dialog.setTitle(R.string.sample_irda_info);
        /* アイコン設定 */
        dialog.setIcon(android.R.drawable.ic_dialog_info);
        /* ボタンのクリックリスナ設定 */
        dialog.setNegativeButton(R.string.sample_irda_ok, new DialogInterface.OnClickListener() {
            /**
             * ボタンがクリックされたときの呼び出されるメソッドである。
             */
            public void onClick(DialogInterface dialog, int whichButton) {
                /* ダイアログを閉じる */
                dialog.cancel();
            }
        });
        /* ダイアログ作成 */
        dialog.create();
        /* ダイアログ表示 */
        dialog.show();
    }

}